package com.red.circle.console.app.service.app.game;

import com.google.common.collect.Lists;
import com.red.circle.game.fruit.inner.model.cmd.GameFruitPrizeCmd;
import com.red.circle.game.fruit.inner.model.cmd.GameFruitRuleCmd;
import com.red.circle.game.fruit.inner.model.dto.GameFruitPrizeDTO;
import com.red.circle.game.fruit.inner.model.dto.GameFruitRuleDTO;
import java.util.List;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

/**
 * 摩天轮游戏配置配置服务
 *
 * @author zongpubin on 2023/12/13
 */
@Service
@RequiredArgsConstructor
public class GameFruitConfigServiceImpl implements GameFruitConfigService {

  @Override
  public void updateRule(GameFruitRuleCmd cmd) {
    // gameFruitConfigClient.updateRule(cmd);
  }

  @Override
  public GameFruitRuleDTO getRule(String sysOrigin) {

    //return gameFruitConfigClient.getRule(sysOrigin).getBody();
    return new GameFruitRuleDTO();
  }

  @Override
  public void addPrize(GameFruitPrizeCmd cmd) {
    //gameFruitConfigClient.addPrize(cmd).getBody();
  }

  @Override
  public void updatePrize(GameFruitPrizeCmd cmd) {
    //gameFruitConfigClient.updatePrize(cmd).getBody();
  }

  @Override
  public List<GameFruitPrizeDTO> listPrize(String sysOrigin) {
    //return gameFruitConfigClient.listPrize(sysOrigin).getBody();
    return Lists.newArrayList();
  }

}
